<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('top_headers', function (Blueprint $table) {
            $table->id();
            $table->string('icon_facility')->nullable();
            $table->string('facilities_tittle')->nullable();
            $table->string('icon_studentlife')->nullable();
            $table->string('studentlife_tittle')->nullable();
            $table->boolean('search_status')->default(true);

            $table->string('apply_now')->nullable();         // Button label
            $table->string('apply_now_link')->nullable();    // Button link
            $table->boolean('applynow_status')->default(true); // Status

            // Request Info Section
            $table->string('requestinfo')->nullable();       // Button label
            $table->boolean('requestinfo_status')->default(true); // Status
            $table->string('requestinfo_link')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('top_headers');
    }
};
